Skip to main content
GET
/
event_sources
/
available
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.eventSources.listAvailable({
    app: "google_calendar",
  });

  console.log(result);
}

run();
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "version": "<string>",
    "configurable_props": [
      {}
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.crevio.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

app
string
required

App name slug (e.g. gmail, google_calendar, slack)

q
string

Optional search query

limit
integer

Max results (default 60, max 100)

Response

Available trigger templates

id
string

Use as vendor_component_id when creating an event source

name
string
description
string
version
string
configurable_props
object[]